/// Data structures for describing geometry with geometric primitives.
library geometry;

import 'dart:collection';
import 'dart:typed_data';

import 'package:quiver/collection.dart';

import 'vertex.dart';
import 'vertex_data.dart';

part 'src/geometry/index_list.dart';
part 'src/geometry/line_loop.dart';
part 'src/geometry/line_strip.dart';
part 'src/geometry/lines.dart';
part 'src/geometry/points.dart';
part 'src/geometry/primitive_sequence.dart';
part 'src/geometry/primitives.dart';
part 'src/geometry/triangle_fan.dart';
part 'src/geometry/triangle_strip.dart';
part 'src/geometry/triangles.dart';
part 'src/geometry/topology.dart';
